Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class PermissionKitItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.PermissionKitItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class PermissionKitItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PermissionKitItem.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionKitItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PermissionKitItem.Builder`
  `builder()`
  `int`
  `getActionCount()`
  `int`
  `getActionGroupCount()`
  `String`
  `getDescription()`
  `int`
  `getRoleCount()`
  `void`
  `setActionCount(int actionCount)`
  `void`
  `setActionGroupCount(int actionGroupCount)`
  `void`
  `setDescription(String description)`
  `void`
  `setRoleCount(int roleCount)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PermissionKitItem

    public PermissionKitItem()

- ## Method Details

  - ### getActionCount

    public int getActionCount()

  - ### getActionGroupCount

    public int getActionGroupCount()

  - ### getRoleCount

    public int getRoleCount()

  - ### setActionCount

    public void setActionCount(int actionCount)

  - ### setActionGroupCount

    public void setActionGroupCount(int actionGroupCount)

  - ### setRoleCount

    public void setRoleCount(int roleCount)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### builder

    public static PermissionKitItem.Builder builder()